Package org.eclipse.mat.internal.snapshot

# Class HeapObjectContextArgument

java.lang.Object
org.eclipse.mat.internal.snapshot.HeapObjectArgumentFactory
org.eclipse.mat.internal.snapshot.HeapObjectContextArgument

All Implemented Interfaces:
  `ArgumentFactory`

public class HeapObjectContextArgument extends HeapObjectArgumentFactory

## Constructor Summary

Constructors
Constructor
Description
`HeapObjectContextArgument(ISnapshot snapshot, List<IContextObject> context, String label)`

## Method Summary

Modifier and Type
Method
Description
`void`
`appendUsage(StringBuilder buf)`
`String`
`toString()`

### Methods inherited from class org.eclipse.mat.internal.snapshot.HeapObjectArgumentFactory

`build, build, build`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HeapObjectContextArgument

public HeapObjectContextArgument(ISnapshot snapshot, List<IContextObject> context, String label)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### appendUsage

public void appendUsage(StringBuilder buf)